Subject: [Ietf-calsify] Section 4.3.11 Text: HTAB not allowed in TEXT values

From: bernard.desruisseaux at oracle.com (Bernard Desruisseaux)
Date: Fri Jan 26 13:39:58 2007

[
  Dear chairs,

  While I understand the issue list is closed, I think
  this simple issue (that Alexey brought to my attention)
  should be addressed in RFC2445bis.
]

In section 4.3.11 Text of RFC 2445 it says:

 >  TSAFE-CHAR = %x20-21 / %x23-2B / %x2D-39 / %x3C-5B
 >               %x5D-7E / NON-US-ASCII
 >     ; Any character except CTLs not needed by the current
 >     ; character set, DQUOTE, ";", ":", "\", ","

I believe TSAFE-CHAR should allow HTAB, the same way
that QSAFE-CHAR, SAFE-CHAR and VALUE-CHAR do.

Else, we wouldn't be allowed to specify an HTAB in a
DESCRIPTION property...

Proposed change:

 >  TSAFE-CHAR = WSP / %x21 / %x23-2B / %x2D-39 / %x3C-5B
 >               %x5D-7E / NON-US-ASCII
 >  ; Any character except CTLs, DQUOTE, ";", ":", "\", ","

Cheers,
Bernard